<?php
// $template_dir = get_template_directory_uri();
define('TEMPLATE_DIR',get_template_directory_uri());
// title
add_theme_support( 'title-tag' );
/* включаем поддержку миниатюр для постов*/
add_theme_support( 'post-thumbnails' );
// Remove <p> and <br/> from Contact Form 7
add_filter('wpcf7_autop_or_not', '__return_false');
// откл админ бар
// show_admin_bar( false );

//Метрики и прочие скрипты в HEAD и FOOTER
function adm_head_code() {
?>
<!-- Код в <head> -->


<?php }
function adm_footer_code(){
    ?>
        <!-- Код перед </body> -->
    <?php
}
add_action( 'wp_head', 'adm_head_code', 99 );
add_action( 'wp_footer', 'adm_footer_code', 99 );

if( !is_admin() ) {

//подключаем стили в хедер
add_action('wp_enqueue_scripts', 'add_header_styles');
function add_header_styles() {
// global TEMPLATE_DIR;
	wp_enqueue_style( 'fancy', TEMPLATE_DIR.'/css/libs/glightbox.min.css');
    wp_enqueue_style( 'swiper', TEMPLATE_DIR. '/css/libs/swiper-bundle.min.css');
    wp_enqueue_style( 'aos', TEMPLATE_DIR. '/css/libs/aos.css');
	wp_enqueue_style( 'style', TEMPLATE_DIR. '/css/style.css?4');
}

//подключаем скрипты в футер
add_action( 'get_footer', 'add_my_scripts');
function add_my_scripts(){
	// global TEMPLATE_DIR;
	// wp_enqueue_script('mask', TEMPLATE_DIR . '/js/jquery.maskedinput.min.js', null, true);
	wp_enqueue_script('swiper', TEMPLATE_DIR . '/js/swiper-bundle.min.js', null, true);
	wp_enqueue_script('fancy', TEMPLATE_DIR . '/js/glightbox.min.js', null, true);
    wp_enqueue_script('aos', TEMPLATE_DIR . '/js/aos.js', null, true);
	if (is_front_page()) {wp_enqueue_script('particles', TEMPLATE_DIR . '/js/particles.min.js', null, true);}
	wp_enqueue_script('custom', TEMPLATE_DIR . '/js/app.js', null, true);
}
}
// Чистка head
remove_action('wp_head', 'rsd_link');
remove_action('wp_head', 'wp_generator');
remove_action('wp_head', 'wp_shortlink_wp_head');
remove_action('wp_head', 'wlwmanifest_link');
remove_action('wp_head', 'print_emoji_detection_script', 7);
remove_action( 'wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0 );
remove_action( 'wp_head', 'feed_links_extra', 3 );
remove_action('admin_print_scripts', 'print_emoji_detection_script');
// отключение WordPress REST API
remove_action( 'wp_head', 'rest_output_link_wp_head' ); 
remove_action( 'wp_head', 'wp_oembed_add_discovery_links' );
remove_action( 'template_redirect', 'rest_output_link_header', 11, 0 );
    //отключаем стили гутенберг
    add_action( 'wp_print_styles', 'wps_deregister_styles', 100 );
    function wps_deregister_styles() {
        if (!is_admin()) {
        wp_dequeue_style( 'wp-block-library' );
        }
    }
// отлючение oEmbed
function oembed_off(){
    wp_dequeue_script( 'wp-embed' );
   }
add_action( 'wp_footer', 'oembed_off' );

// надпись в футере админки
add_filter('admin_footer_text', 'remove_footer_admin');
	function remove_footer_admin () {      
		echo 'Сайт разработан студией                                             
		<a style="text-decoration: none;" href="https://adm-lab.ru/" title="Сайт студии ADM-Lab">
		<span style="color:#FFD500;">A</span>
		<span style="color:#A3D900;">D</span>
		<span style="color:#00A7DC;">M</span>
		<span style="color:#555d66;">- Lab ©</span>
	</a>';  
	}   
// Регистрация областей меню
function register_theme_menus() {
    register_nav_menus(
        array(
            'primary'   => 'Основное меню',
            'secondary' => 'Дополнительное меню',
        )
    );
}
add_action('init', 'register_theme_menus');
?>